org.richfaces.renderkit.html

## Class DivPanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer

- Direct Known Subclasses:
    PanelMenuGroupRenderer, PanelMenuItemRenderer, PanelMenuRenderer, TogglePanelItemRenderer, TogglePanelRenderer, TooltipRenderer

      public abstract class DivPanelRenderer
      extends RendererBase

  Author:
    akolonitsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DivPanelRenderer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addOnCompleteParam(javax.faces.context.FacesContext context, String panelId)` Calls onCompleteHandler for given panel
    `protected void` | `addOnCompleteParam(javax.faces.context.FacesContext context, String itemName, String panelId)` Adds script which switches given panel to given item
    `protected static String` | `attributeAsString(javax.faces.component.UIComponent comp, Enum attr)`
    `protected static String` | `attributeAsString(javax.faces.component.UIComponent comp, String attr)`
    `protected static String` | `attributeAsStyle(javax.faces.component.UIComponent comp, Enum attr)`
    `protected static String` | `attributeAsStyle(javax.faces.component.UIComponent comp, String attr)`
    `static String` | `capitalize(String string)` Capitalize the first character of the given string.
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `protected void` | `doEncodeItemBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeItemEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected RenderKitUtils.Attributes` | `getPassThroughAttributes()`
    `protected Object` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyle(javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`
    `protected static String` | `styleElement(Object name, Object value)`
    `protected void` | `writeJavaScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DivPanelRenderer

          public DivPanelRenderer()

  - ### Method Detail

    - #### attributeAsStyle

          protected static String attributeAsStyle(javax.faces.component.UIComponent comp,
                                                   Enum attr)

    - #### attributeAsStyle

          protected static String attributeAsStyle(javax.faces.component.UIComponent comp,
                                                   String attr)

    - #### styleElement

          protected static String styleElement(Object name,
                                               Object value)

    - #### attributeAsString

          protected static String attributeAsString(javax.faces.component.UIComponent comp,
                                                    Enum attr)

    - #### attributeAsString

          protected static String attributeAsString(javax.faces.component.UIComponent comp,
                                                    String attr)

    - #### capitalize

          public static String capitalize(String string)

      Capitalize the first character of the given string.
      Parameters:
        `string` - String to capitalize.
      Returns:
        Capitalized string.
      Throws:
        `IllegalArgumentException` - String is null or empty.

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                       javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)
                                throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeBegin(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeBegin` in class `RendererBase`
      Throws:
        `IOException`

    - #### doEncodeItemBegin

          protected void doEncodeItemBegin(javax.faces.context.ResponseWriter writer,
                                           javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)
                                    throws IOException

      Throws:
        `IOException`

    - #### getStyle

          protected String getStyle(javax.faces.component.UIComponent component)

    - #### getPassThroughAttributes

          protected RenderKitUtils.Attributes getPassThroughAttributes()

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### doEncodeItemEnd

          protected void doEncodeItemEnd(javax.faces.context.ResponseWriter writer,
                                         javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### writeJavaScript

          protected void writeJavaScript(javax.faces.context.ResponseWriter writer,
                                         javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### getScriptObject

          protected Object getScriptObject(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                              javax.faces.component.UIComponent component)

    - #### addOnCompleteParam

          protected void addOnCompleteParam(javax.faces.context.FacesContext context,
                                            String panelId)

      Calls onCompleteHandler for given panel
      Parameters:
        `context` - FacesContext
        `panelId` - the panel

    - #### addOnCompleteParam

          protected void addOnCompleteParam(javax.faces.context.FacesContext context,
                                            String itemName,
                                            String panelId)

      Adds script which switches given panel to given item
      Parameters:
        `context` - FacesContext
        `itemName` - the item to switch to
        `panelId` - the panel

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.